Multiple widget instances

I've read where there is an issue with running multiple instances of a widget on a site... as in... you can't.

I'm hoping that we can take a look at this again and see if we can put a fix together. Most, if not all, of the themes that are produced here have multiple layouts that use different sidebars. So if we put a widget in the sidebar for one part of the site there is no way to utilize that widget in areas of the same site... I realize that I'm not saying anything new here and that this is a known issue.

I'm just running into problems with this limitation, specifically with the blogs and global posts widgets.

I suppose another option would be to be able to call the widget directly without putting it in a sidebar, but I don't think this is possible either.

Any thoughts on how I can get this done?

Thanks in advance. Keep up the great work.

rusty

  • rustynations
    • WPMU DEV Initiate

    Please don't take this as a "demand", but there are a couple of things:

    1) According to your "Upgrade and Support Guarantee" you "guarantee to bring you up to date plugins which work with new releases of WordPress, WPMU and BuddyPress" AND you "guarantee to offer support, bug fixes and ensure the compatibility of all of our plugins and themes for the latest versions of WordPress and BuddyPress."
    https://premium.wpmudev.org/our-upgrade-and-support-guarantee/

    2) The "Recent Global Posts Widget" and the "Blogs Widget" both indicate compatibility with WPMU 2.9.1.1

    Again, not trying to come across too harshly. I realize that these may be older plugins, but they happen to be the ones that I need to utilize, and they are supposed to work with the current version of WPMU. So for me to "rewrite the widgets using the new (>= WP2.8) widgets API" doesn't really seem to fall in line with your policy of providing plugins that work...

    You guys are doing some great work. But I feel this is an issue that you should resolve.

    I look forward to you reply.

    rusty

  • Aaron
    • CTO

    The widgets are fully compatible with the latest versions of WPMU, and continue to have the full functionality they had when we first released those plugins. Adding support for multiples of those widgets is a new feature request, which we usually consider only when there is enough demand.

    Also, there are problems when you rewrite the widgets with the new API as the widgets have to be added again and their settings modified in the widgets admin.

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.